Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 595800 - dev-lang/qu-prolog-9.7 : io_qp.h:697:34: error: cannot convert ‘std::basic_ostream<char>’ to ‘bool’ in return
Summary: dev-lang/qu-prolog-9.7 : io_qp.h:697:34: error: cannot convert ‘std::basic_os...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: prolog herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-10-01 16:32 UTC by Toralf Förster
Modified: 2016-10-20 11:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (config.log,241.40 KB, text/plain)
2016-10-01 16:32 UTC, Toralf Förster
Details
dev-lang:qu-prolog-9.7:20161001-161641.log (dev-lang:qu-prolog-9.7:20161001-161641.log,9.45 KB, text/plain)
2016-10-01 16:32 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,142.55 KB, text/plain)
2016-10-01 16:32 UTC, Toralf Förster
Details
environment (environment,82.62 KB, text/plain)
2016-10-01 16:32 UTC, Toralf Förster
Details
qu-prolog-9.7-gcc6.patch (qu-prolog-9.7-gcc6.patch,904 bytes, patch)
2016-10-12 06:53 UTC, Peter Levine
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-10-01 16:32:25 UTC
                 from bind.cc:56:
io_qp.h: In member function ‘virtual bool QPostream::seekp(std::streampos, std::ios_base::seekdir)’:
io_qp.h:697:34: error: cannot convert ‘std::basic_ostream<char>’ to ‘bool’ in return
       return stream->seekp(pos, d);
                                  ^
io_qp.h: In member function ‘virtual bool QPostringstream::seekp(std::streampos, std::ios_base::seekdir)’:


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-gnome-libressl-unstable_20160928-213837) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist ssp cdda clang curl custom-cflags dnssec emacs exif fluidsynth -fortran -gif git -graphtft -gstreamer latex mad mdnsresponder-compat modplug -mp4 multimedia ncurses -obj odbc opencv pam png postgres pwquality -qt4 -sasl smpeg source sourceview system-jpeg -szip threads ufed vaapi vdpau video webgl webstart widgets wxwidgets x264 ziffy zip -zlib"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  <=net-misc/openssh-7.3_p1-r2    -hpn
  net-misc/iputils -caps -filecaps
  mail-mta/ssmtp libressl -gnutls

  entries in /etc/portage/package.unmask/*:
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1
Available Java Virtual Machines:
  [1]   icedtea-bin-7  system-vm
  [2]   icedtea-bin-8 
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/gnome, gcc-6.2.0, glibc-2.23-r2, 4.7.5-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.5-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   2284744 free
KiB Swap:   67108860 total,  67092200 free
Timestamp of repository gentoo: Sat, 01 Oct 2016 13:09:34 +0000
sh bash 4.4
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.1::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr clang cli colord consolekit cracklib crypt cups curl custom-cflags cxx dbus dnssec dri dts dvd dvdr eds emacs emboss encode evo exif fam firefox flac fluidsynth gdbm git glamor gnome gnome-keyring gnome-online-accounts gpm gtk iconv introspection ipv6 jpeg latex lcms ldap libnotify libressl libsecret mad mdnsresponder-compat mmx mmxext mng modplug modules mp3 mpeg multilib multimedia nautilus ncurses nls nptl odbc ogg opencv opengl openmp pam pango pax_kernel pcre pdf png policykit postgres ppds pulseaudio pwquality qt3support readline sdl seccomp session smpeg source sourceview spell sse sse2 ssl ssp startup-notification svg system-jpeg tcpd threads tiff tracker truetype udev udisks ufed unicode upower usb vaapi vdpau video vorbis webgl webstart widgets wxwidgets x264 xattr xcb xml xtpax xv xvid ziffy zip" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="bn-BD chr lb nso pa son zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-10-01 16:32:31 UTC
Created attachment 448702 [details]
config.log
Comment 2 Toralf Förster gentoo-dev 2016-10-01 16:32:35 UTC
Created attachment 448704 [details]
dev-lang:qu-prolog-9.7:20161001-161641.log
Comment 3 Toralf Förster gentoo-dev 2016-10-01 16:32:38 UTC
Created attachment 448706 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2016-10-01 16:32:41 UTC
Created attachment 448708 [details]
environment
Comment 5 Peter Levine 2016-10-12 06:53:39 UTC
Created attachment 449960 [details, diff]
qu-prolog-9.7-gcc6.patch
Comment 6 Keri Harris gentoo-dev 2016-10-20 11:48:32 UTC
Fixed in master with qu-prolog-10.0. Thanks for reporting this (and supplying the patch file).